if type(lib) == "table" and lib[0] == "LME" then --makes sure a Neoloader-like environment is set up.
	--if your plugin expects a certain API of neoloader, check that here!
	if not lib.is_exist("lx_buddy_count") then --check if your plugin already exists in the registry
		lib.register("plugins/BuddyCount/registration.ini") --register the missing plugin
		--if your plugin is a conversion, make sure file= is blank in the INI; otherwise, point to your index file
	end
	
	if lib.is_ready("lx_buddy_count") then
		--do any post-setup work here
		--for converting a plugin to be LME-compatible without changing any actual plugin code, just launch the lua file here
		lib.resolve_file("plugins/BuddyCount/mod.lua")
	end
else
	dofile("mod.lua")
end